org.apache.commons.collections4.map

## Class AbstractLinkedMap.LinkEntry<K,V>

- java.lang.Object
- - org.apache.commons.collections4.map.AbstractHashedMap.HashEntry<K,V>
  - - org.apache.commons.collections4.map.AbstractLinkedMap.LinkEntry<K,V>

- All Implemented Interfaces:
    Map.Entry<K,V>, KeyValue<K,V>
  Enclosing class:
    AbstractLinkedMap<K,V>

      protected static class AbstractLinkedMap.LinkEntry<K,V>
      extends AbstractHashedMap.HashEntry<K,V>

  LinkEntry that stores the data.

  If you subclass `AbstractLinkedMap` but not `LinkEntry` then you will not be able to access the protected fields. The `entryXxx()` methods on `AbstractLinkedMap` exist to provide the necessary access.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractLinkedMap.LinkEntry<K,V>` | `after` The entry after this one in the order
    `protected AbstractLinkedMap.LinkEntry<K,V>` | `before` The entry before this one in the order

    - ### Fields inherited from class org.apache.commons.collections4.map.AbstractHashedMap.HashEntry

      `hashCode, key, next, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LinkEntry(AbstractHashedMap.HashEntry<K,V> next, int hashCode, Object key, V value)` Constructs a new entry.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.collections4.map.AbstractHashedMap.HashEntry

      `equals, getKey, getValue, hashCode, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Field Detail

    - #### before

          protected AbstractLinkedMap.LinkEntry<K,V> before

      The entry before this one in the order

    - #### after

          protected AbstractLinkedMap.LinkEntry<K,V> after

      The entry after this one in the order

  - ### Constructor Detail

    - #### LinkEntry

          protected LinkEntry(AbstractHashedMap.HashEntry<K,V> next,
                              int hashCode,
                              Object key,
                              V value)

      Constructs a new entry.
      Parameters:
        `next` - the next entry in the hash bucket sequence
        `hashCode` - the hash code
        `key` - the key
        `value` - the value

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.